from rocolib.api.components.Component import Component
from rocolib.api.Function import Function


c = Component()

c.addSubcomponent("holder", "SimpleRectBeam", inherit=True, prefix=None)

c.addConstraint(("holder", "length"), "depth", "60") #the support is as long as the boat is wide
c.addConstraint(("holder", "width"), "depth", "60")
c.addConstraint(("holder", "depth"), "depth", "60")

c.toLibrary("BatteryStackMount")
