from rocolib.api.components.Component import Component
from rocolib.api.Function import Function

c = Component()

c.addSubcomponent("boatwithservo", "BoatWithServoMount", inherit=True, prefix=None)
c.inheritAllInterfaces("boatwithservo")
c.addSubcomponent("espStack", "StackMount", inherit=True)
c.inheritAllInterfaces("espStack")

c.addSubcomponent("topPortSplit", "SplitEdge")
c.addSubcomponent("topStarSplit", "SplitEdge")
#
# c.addConstraint(("topPortSplit", "toplength"), ("topDistance"), "(x,)")
# c.addConstraint(("topPortSplit", "botlength"), ("topDistance", "botDistance", "rServoMount.depth"), "(x[1], x[2], x[0])") #but the value of the new component's boat.length parameter is completely disconnected from the value of the boat component's boat.length parameter
#
# c.addConnection(("topStarSplit", "botedge1"), ("lServoMount", "rightInterface"), angle=180) #both face the same direction
# c.addConnection(("rsplit", "botedge1"), ("rServoMount", "leftInterface"), angle=180)
#
#c.addConnection(("espStack", "leftArmInterface"), ("boatwithservo", "topPort"))


c.toLibrary("BoatWithServoMountAndStack")
